/stocks/warehouses/{warehouseId}/registry
The registry provides a chronological record of modifications to the warehouse resource, including creation, updates, deletions, and changes to associated operators.
getStockWarehousesRegistry
| Name | Type | Description |
|---|---|---|
warehouseId
required
|
string |
The unique identifier of the warehouse within the system. This ID is immutable and assigned upon creation. Example: |
| Name | Type | Description |
|---|---|---|
expand
|
string |
A comma-separated list of related resources to include in the response data. operator
|
data
array<object>
id
string
read-only
The unique identifier of this warehouse registry entry within the system. This ID is immutable and assigned upon creation.
Example: 1
type
string
read-only
The resource type, identifying this as a warehouse registry entry.
stock-warehouse-registry
attributes
object
warehouse_registry_id
string
The unique identifier of this warehouse registry entry within the system. This ID is immutable and assigned upon creation.
Example: 2
warehouse_id
string
The unique identifier of the warehouse that this registry entry is associated with.
Example: 1
operator_id
string
The unique identifier of the operator who initiated the action recorded in this registry entry. This helps track user-based changes.
Example: 3
action
string
The specific action that was performed on the warehouse. This indicates the type of change or event that occurred.
CREATED
UPDATED
DELETED
ADDED_ASSOCIATED_OPERATOR
REMOVED_ASSOCIATED_OPERATOR
field
string
The specific field or aspect of the warehouse that was affected by the recorded action. This provides context for the change.
CODE
NAME
OBSERVATIONS
ADDRESS
OPERATOR
from
string | null
The value of the 'field' before the action was performed. This is null for "ADDED_ASSOCIATED_OPERATOR" and "CREATED" events.
Example: Warehouse1
to
string | null
The value of the 'field' after the action was performed. This is null for "REMOVED_ASSOCIATED_OPERATOR" and "CREATED" events.
Example: Warehouse
aux_id
string | null
An auxiliary identifier related to the action. For example, when an operator is associated or removed, it would countain that id.
Example: 10
created_at
string (date-time)
The timestamp indicating when this warehouse registry entry was created in the system, recording the moment the action occurred.
Example: 2025-05-27T17:54:08.000Z
included
array<object>
List of relationships to be included
meta
object
Meta model structure details
pagination
object
total
integer
required
Total items.
Example: 1
count
integer
required
Total items returned for the current page.
Example: 1
per_page
integer
required
Maximum number of records per page.
Example: 1
current_page
integer
required
Number of the current page.
total_pages
integer
required
Number of the total pages.
links
object
Requests that return multiple items include a `links` attribute, with links related to request's context.
self
string
required
read-only
Current response link.
Example: /path?page=1
first
string
required
read-only
Link to the first page result.
Example: /path?page=1
last
string
required
read-only
Link to the previous page result.
Example: /path?page=1
next
string
read-only
Link to the next page result.
Example: /path?page=1
status
string
error
error
object
http_code
integer
401
message
string
Example: Authentication token invalid.
more_info
string
status
string
error
error
object
http_code
integer
429
message
string
Example: Too Many Requests.
more_info
string
status
string
error
error
object
http_code
integer
500
message
string
Example: An error has occurred during the request.
more_info
string
curl -X GET \
'https://api.sandbox.infraspeak.com/v3/stocks/warehouses/1/registry' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.sandbox.infraspeak.com/v3/stocks/warehouses/1/registry', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
});
const data = await response.json();
$response = Http::withHeaders([
'Accept' => 'application/json',
'Content-Type' => 'application/json',
])->withToken('YOUR_API_TOKEN')
->get('https://api.sandbox.infraspeak.com/v3/stocks/warehouses/1/registry');
import requests
response = requests.get(
'https://api.sandbox.infraspeak.com/v3/stocks/warehouses/1/registry',
headers={
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
)
data = response.json()